﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.IO;

namespace testservis
{
    public partial class Form1 : Form
    {
        avantajefatura.Service1SoapClient serv = new avantajefatura.Service1SoapClient();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
          
            
            var faturalar = serv.GetServisInvoiceList(tx_user.Text, tx_pass.Text, Convert.ToDateTime(bsg.Value), Convert.ToDateTime(btt.Value));
            XmlTextReader r = new XmlTextReader(new StringReader(faturalar.ToString()));
            DataSet ds = new DataSet();
             ds.ReadXml(r);
             ftrlist.DataSource = ds.Tables[0];
  
               
        }

        private void button4_Click(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            
            var i = this.ftrlist.SelectedRows[0].Index;
            var faturano = this.ftrlist.Rows[i].Cells["faturano"].Value;
            var its = serv.GetServisInvoice(tx_user.Text, tx_pass.Text, faturano.ToString());  // faturaya ait xml dosyası döner.

            XmlTextReader r = new XmlTextReader(new StringReader(its.ToString()));

            XmlDocument xmlDoc = new XmlDocument();
            xmlDoc.LoadXml(its.ToString());

            SaveFileDialog savedialog = new SaveFileDialog();
            savedialog.Filter = "Xml Dosyası (*.xml)|*.xml";
            savedialog.FilterIndex = 1;

            if (savedialog.ShowDialog() == DialogResult.OK)
            {

                string path = savedialog.FileName;
                xmlDoc.Save(path);
                MessageBox.Show("dosya indirildi.");
                //xmlDoc.Save("test-doc.xml");

            }

        }

        private void button3_Click(object sender, EventArgs e)
        {
            string Parameter=string.Empty;

            for (int i = 0; i < ftrlist.Rows.Count; i++)
            {
                Parameter = Parameter + this.ftrlist.Rows[i].Cells["faturano"].Value + ";";   // ; ayıracı ile bütün fatura numaralarını birleştiriyoruz.
            }
           
            var its = serv.GetServisInvoice(tx_user.Text, tx_pass.Text, Parameter);  // faturaya ait xml dosyası döner.

            XmlTextReader r = new XmlTextReader(new StringReader(its.ToString()));

            XmlDocument xmlDoc = new XmlDocument();
            xmlDoc.LoadXml(its.ToString());

            SaveFileDialog savedialog = new SaveFileDialog();
            savedialog.Filter = "Xml Dosyası (*.xml)|*.xml";
            savedialog.FilterIndex = 1;

            if (savedialog.ShowDialog() == DialogResult.OK)
            {

                string path = savedialog.FileName;
                xmlDoc.Save(path);
                MessageBox.Show("dosya indirildi.");
                //xmlDoc.Save("test-doc.xml");

            }
        }
  
    }
}
